@mixin app-content-banner-theme($theme) {
  $primary: map-get($theme, primary);
  $warn: map-get($theme, warn);
  $accent: map-get($theme, accent);

  /** content-banner is global to all the components */
  .content-banner {
    margin-left: -10px;
    height: 35px !important;
    position: fixed;
    top: 70px;
    z-index: 2;
    background: mat-color($primary);
    background: linear-gradient(
      to right,
      mat-color($primary, 500),
      mat-color($primary, 400),
      mat-color($primary, 300) 30%,
      mat-color($primary, 100) 70%
    );

    .toolbar-spacer {
      flex: 1 1 auto;
    }
    .content-banner-header {
      // font-weight: bold;
      font-size: 0.9em;
      color: white;
    }
    .environment-name {
      font-size: 0.7em;
      background: greenyellow;
      color: red;
      padding: 0 10px;
    }
    .tutorial-help {
      font-size: 0.5em;
      padding-top: 10px;
    }

    .content-banner-alert {
      font-size: 0.7em;
      // color: red;
    }

    .blinking {
      // animation:blinkingText 1.5s infinite;
    }
    @keyframes blinkingText {
      0% {
        color: black;
      }
      50% {
        color: transparent;
      }
      100% {
        color: black;
      }
    }
    .toolbar-icon:hover {
      color: white;
      cursor: pointer;
    }
    .mat-badge-medium.mat-badge-overlap.mat-badge-after .mat-badge-content {
      right: -12px;
      top: -5px;
    }
    .mat-badge-medium .mat-badge-content {
      width: 18px;
      height: 18px;
      line-height: 18px;
    }
  }
  .content-banner-sidenav-expanded {
    width: calc(100% - 255px);
  }
  .content-banner-sidenav-collapsed {
    width: calc(100% - 45px);
  }
}
